#PBS -N make_concoct_input_table
#PBS -S /bin/bash
#PBS -q UCTlong
#PBS -l nodes=1:series600:ppn=4
#PBS -V
#PBS -d /researchdata/fhgfs/cbio/cbio/project08/team/katie/metagenomics_pipeline_testing/log_dir  

#THE PURPOSE OF THIS SCRIPT IS TO PREPARE A COVERAGE TABLE FROM THE .smds.coverage FILES FOR DOWNSTREAM USE IN CONCOCT
#source activate concoct_env

ID_dir=/researchdata/fhgfs/cbio/cbio/project08/team/katie/metagenomics_pipeline_testing/out_dir/trimmomatic
out_dir=/researchdata/fhgfs/cbio/cbio/project08/team/katie/metagenomics_pipeline_testing/out_dir/concoct_prep/

#for i in $ID_dir/*1.unpaired.fq; do basename=$(basename $i); echo ${basename%.1.unpaired.fq} >> $out_dir/samplenames.txt; done

python /opt/exp_soft/CONCOCT-0.4.0/scripts/gen_input_table.py --isbedfile \
 --samplenames $out_dir/samplenames.txt \
/researchdata/fhgfs/cbio/cbio/project08/team/katie/metagenomics_pipeline_testing/out_dir/megahit/final.contigs.fa \
$out_dir/*-smds.coverage > $out_dir/concoct_inputtable_check.tsv

#cut -f1,3-26 $out_dir/concoct_inputtable.tsv > $out_dir/concoct_inputtableR.tsv

#If the --isbedfiles flag is set: Skips running genomeCoverageBed from within this script (since we have already done this)
#If the --samplenames flag is set: File with sample names, one line each. Should be same nr as bamfiles.
