#!/bin/bash
. $config

echo -n "" > $cmds_log

# All stdout and stderr will go to individual per job *.o and *.e, so will not be piping to a log file.
#Trimmomatic quality filter

if [ ! -f $F_paired ] && [ ! -f $R_paired ]
then
  cmd="java -jar $trimmomatic_path PE -threads $trimmomatic_threads -trimlog $trim_logfile $F_fastq $R_fastq $F_paired $F_unpaired $R_paired $R_unpaired ILLUMINACLIP:$Illumina_adapters:2:30:10:6:true SLIDINGWINDOW:4:15 MINLEN:$MINLEN"
  echo $cmd >> $cmds_log
  eval $cmd
fi
