#!/bin/bash
#PBS -N concoct_clusterplot
#PBS -S /bin/bash
#PBS -q UCTlong
#PBS -l nodes=1:series600:ppn=4
#PBS -V
#PBS -d /researchdata/fhgfs/cbio/cbio/project08/team/katie/metagenomics_pipeline_testing/log_dir  
#PBS -M katie.viljoen@uct.ac.za
#PBS -m abe

echo "Job started on `hostname` at `date`"

in_dir=/researchdata/fhgfs/cbio/cbio/project08/team/katie/metagenomics_pipeline_testing/out_dir/concoct_output/
out_dir=/researchdata/fhgfs/cbio/cbio/project08/team/katie/metagenomics_pipeline_testing/out_dir/concoct_output/

module load software/R-3.3.0 #because Andrew installed necessary R packages here
Rscript /home/kviljoen/metagenomics-pipeline/ClusterPlot_KL.R -c $in_dir/clustering_gt1000.csv -p $in_dir/PCA_transformed_data_gt1000.csv -m $in_dir/pca_means_gt1000.csv -r $in_dir/pca_variances_gt1000_dim -l -o $out_dir/ClusterPlot.pdf

echo "Job Ended at `date`"





